Open Chinese Convert 0.4.3 A project for conversion between Traditional and Simplified Chinese

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Groups Pages
Public Member Functions | Data Fields
opencc.OpenCC Class Reference
Python API

OpenCC Python language binding. More...

## Public Member Functions
def | __init__
| Constructor. More...
def | __enter__
def | __exit__
def | convert
| Converts text. More...
def | dict_load

## Data Fields
| libopencc
| libc
| config
| verbose
| od

## Detailed Description

OpenCC Python language binding.

Definition at line 19 of file opencc.py.

## Member Function Documentation

def opencc.OpenCC.__enter__ | ( |  | self | ) |

Deprecated:

Definition at line 45 of file opencc.py.

def opencc.OpenCC.__exit__ | ( |  | self,
|  |  | type,
|  |  | value,
|  |  | traceback
| ) |  |

Deprecated:

Definition at line 53 of file opencc.py.

def opencc.OpenCC.dict_load | ( |  | self,
|  |  | filename,
|  |  | dicttype
| ) |  |

Deprecated:

Definition at line 77 of file opencc.py.

The documentation for this class was generated from the following file:

- /build/opencc/src/opencc-0.4.3/src/wrapper/python/opencc.py